Loading...
Searching...
No Matches
input.h File Reference

CInput class. More...

`#include "common/key.h"`
`#include "common/singleton.h"`
`#include "math/intpoint.h"`
`#include "math/point.h"`
`#include "math/vector.h"`
`#include <map>`
Include dependency graph for input.h:

## Classes

struct | InputBinding
| Binding for input slot. More...
struct | JoyAxisBinding
| Binding for joystick axis. More...
class | CInput
| Management of mouse, keyboard and joystick. More...

## Variables

const int | AXIS_INVALID = -1
| Invalid value for axis binding (no axis assigned).

## Detailed Description

CInput class.

## Variable Documentation

## AXIS_INVALID

const int AXIS_INVALID = -1

Invalid value for axis binding (no axis assigned).